IPB

Bienvenue invité ( Connexion | Inscription )

 
Reply to this topicStart new topic
> combo 10.11.6, MAJ impossible sur un 10.11.6 existant
Options
domd
posté 4 Jan 2017, 09:18
Message #1


Macbidouilleur de bronze !
**

Groupe : Membres
Messages : 536
Inscrit : 8 Oct 2002
Lieu : Megève Hte Savoie
Membre no 4 022



Bonjour,

mon mac déconne un peu en ce moment (problème de souris et ralentissements, freeze).
Le fsck n'a pas tout résolu et je voulais lui faire une MAJ Combo 10.11.6.
A l'installation j'ai le message "... Ce volume ne remplit pas les conditions requises pour cette mise à jour"
Est-ce à cause des dernières MAJ de sécurité ? D'habitude la combo reprend tout.
Si vous avez une idée, merci pour votre aide.


--------------------
Marre d'être Googlisé ... Testez Qwant le moteur de recherche français très performant, qui ne vous piste pas

Le site : https://www.qwant.com
En vidéo : https://s.qwant.com/storage/videos/Qwant-Evolution-HD.mp4
Go to the top of the page
 
+Quote Post
Tmps
posté 4 Jan 2017, 14:59
Message #2


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 2 979
Inscrit : 3 Nov 2002
Lieu : Overijse - Belgique
Membre no 4 477



Il est parfois impossible de réinstaller une version combo si la version égale celle déjà installée.


--------------------
MacBook Air 13" 1.8 Ghz Core i5 - 8Gb - SSD 128 Gb - OS X.10.13.3 / Smartphone: Yotaphone 2 sous Android 6.0.1 entièrement synchronisé avec les services Google

Réflexe indispensable à avoir... faites des backups réguliers!!!
Utilitaires vivement recommandés: Onyx (Outil de maintenance) - Etrecheck (Outil d'analyse du système) - Malwarebytes (Anti-malwares - la version gratuite suffit largement)
Go to the top of the page
 
+Quote Post
Ulf64
posté 4 Jan 2017, 17:04
Message #3


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 2 565
Inscrit : 6 Aug 2012
Lieu : Suisse fr
Membre no 178 042



Jamais eu ce problème de re-installation de la combo.

2 pistes:

L'installeur a détecté un problème physique sur le disque et refuse l'installation sur un DD qui part en vrille.
Utilise un logiciel spécifique pour vérifier les paramètres S.M.A.R.T. et leur degré de dégradation par rapport à un DD neuf.
P. ex: smart-utility https://www.volitans-software.com/apps/smart-utility/

Le SIP activé empêche l'installation de la Combo -> Désactive le SIP et essaye à nouveau
Perso, je désactive le SIP lors de màj, installation de pilotes, utilitaires système etc.


J'installerais un système sur un DDE neuf. Soit par clonage, soit à neuf depuis la HD-Recovery.
Si en démarrant sur ce DDE le Mac fonctionne normalement sans ralentissements, freezes etc. c'est bien le DD qui est en cause.
Lors du remplacement envisager un SSD.


--------------------
Mes OS: Mojave - W10 - Linux - Android
Matos: Mac mini7,1 - Ultrabook - Tour Dell - SmartPhone - SmartTV
Périfs: NAS QNAP - Imprimantes réseau: Brother MFC-9330CDW, HP 2605dn
LAN: Ethernet cat 6 - WiFi 5 & 6 - Pont CPL Devolo de 50m
Go to the top of the page
 
+Quote Post
domd
posté 5 Jan 2017, 11:03
Message #4


Macbidouilleur de bronze !
**

Groupe : Membres
Messages : 536
Inscrit : 8 Oct 2002
Lieu : Megève Hte Savoie
Membre no 4 022



Merci beaucoup pour ces infos Messieurs . Je teste tout cela (un peu pris par le boulot) et je fais un retour.


--------------------
Marre d'être Googlisé ... Testez Qwant le moteur de recherche français très performant, qui ne vous piste pas

Le site : https://www.qwant.com
En vidéo : https://s.qwant.com/storage/videos/Qwant-Evolution-HD.mp4
Go to the top of the page
 
+Quote Post
Helvète
posté 5 Jan 2017, 12:25
Message #5


Macbidouilleur de vermeil !
****

Groupe : Membres
Messages : 950
Inscrit : 23 Feb 2005
Lieu : Genève
Membre no 33 742



Citation
Il est parfois impossible de réinstaller une version combo si la version égale celle déjà installée.

C'est une nouveauté Apple qui n'existait pas autrefois. C'est un exemple de plus de la baisse du Service Apple.
Citation
Désactive le SIP et essaye à nouveau

Désactiver la SIP ne change rien au problème.


--------------------
Mac book pro - El Capitan - Intel Core i5 - 8 Go Ram
Imac 24 - El Capitan / Snow léopard - Intel Core 2 Duo - 8 Go Ram
Powerbook 15 - Léopard - PPC G4
Go to the top of the page
 
+Quote Post
snb
posté 5 Jan 2017, 18:51
Message #6


Adepte de Macbidouille
*

Groupe : Membres
Messages : 176
Inscrit : 13 Jun 2003
Lieu : Yerres
Membre no 8 042



Citation (Helvète @ 5 Jan 2017, 14:25) *
Citation
Il est parfois impossible de réinstaller une version combo si la version égale celle déjà installée.

C'est une nouveauté Apple qui n'existait pas autrefois. C'est un exemple de plus de la baisse du Service Apple.
Citation
Désactive le SIP et essaye à nouveau

Désactiver la SIP ne change rien au problème.

Sous 10.12.2, il est toujours possible de faire une MaJ combo sur le même système et ce sans désactiver le SIP
Test effectué il y a 5 minites

Par contre sous El Capitan même message que domd et Helvète
Fichier joint  Spec_El_Capitan.png ( 213.34 Ko ) Nombre de téléchargements : 22


Ce message a été modifié par snb - 7 Jan 2017, 10:15.


--------------------
iMac 27" 2,7 GHz Intel Corei5 (mi-2011)- Mac OS 10.13.6 - 12 Go - SSD 1To + HD 1 To
Go to the top of the page
 
+Quote Post
Krazubu
posté 5 Jan 2017, 19:31
Message #7


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 2 889
Inscrit : 5 Sep 2005
Membre no 45 266



Si tu vas dans le menu aide du programme d'installation, tu pourras ouvrir le journal qui donnera plus précisément la raison du refus de continuer.
Go to the top of the page
 
+Quote Post
Helvète
posté 5 Jan 2017, 22:32
Message #8


Macbidouilleur de vermeil !
****

Groupe : Membres
Messages : 950
Inscrit : 23 Feb 2005
Lieu : Genève
Membre no 33 742



J'ai le même message que domd sur le système El Capitan.
J'ai contrôlé de disque et il est OK.


--------------------
Mac book pro - El Capitan - Intel Core i5 - 8 Go Ram
Imac 24 - El Capitan / Snow léopard - Intel Core 2 Duo - 8 Go Ram
Powerbook 15 - Léopard - PPC G4
Go to the top of the page
 
+Quote Post
domd
posté 6 Jan 2017, 07:35
Message #9


Macbidouilleur de bronze !
**

Groupe : Membres
Messages : 536
Inscrit : 8 Oct 2002
Lieu : Megève Hte Savoie
Membre no 4 022



Le DD semble en bon état (Smart test avec plusieurs logiciels). Mes soucis semblent plus logiciels que matériels.

C'est la 1ère fois que je ne peux pas installer une combo ...
Reste à savoir si la version proposée par Apple est à jour des dernières MAJ de sécurité par exemple.



--------------------
Marre d'être Googlisé ... Testez Qwant le moteur de recherche français très performant, qui ne vous piste pas

Le site : https://www.qwant.com
En vidéo : https://s.qwant.com/storage/videos/Qwant-Evolution-HD.mp4
Go to the top of the page
 
+Quote Post
Tmps
posté 6 Jan 2017, 09:34
Message #10


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 2 979
Inscrit : 3 Nov 2002
Lieu : Overijse - Belgique
Membre no 4 477



De ce que j'ai pu lire ailleurs, cette impossibilité d'installer une combo serait liée au fait que certaines mises à jour plus récentes (que la combo) aient été déjà réalisées.

=> http://macquebec.com/forums/index.php?/top...-la-combo-1052/


--------------------
MacBook Air 13" 1.8 Ghz Core i5 - 8Gb - SSD 128 Gb - OS X.10.13.3 / Smartphone: Yotaphone 2 sous Android 6.0.1 entièrement synchronisé avec les services Google

Réflexe indispensable à avoir... faites des backups réguliers!!!
Utilitaires vivement recommandés: Onyx (Outil de maintenance) - Etrecheck (Outil d'analyse du système) - Malwarebytes (Anti-malwares - la version gratuite suffit largement)
Go to the top of the page
 
+Quote Post
domd
posté 7 Jan 2017, 08:20
Message #11


Macbidouilleur de bronze !
**

Groupe : Membres
Messages : 536
Inscrit : 8 Oct 2002
Lieu : Megève Hte Savoie
Membre no 4 022



Plus qu'à attendre qu'Apple daigne mettre à jour sa combo ou refaire une clean install ... dry.gif


--------------------
Marre d'être Googlisé ... Testez Qwant le moteur de recherche français très performant, qui ne vous piste pas

Le site : https://www.qwant.com
En vidéo : https://s.qwant.com/storage/videos/Qwant-Evolution-HD.mp4
Go to the top of the page
 
+Quote Post
Krazubu
posté 7 Jan 2017, 10:39
Message #12


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 2 889
Inscrit : 5 Sep 2005
Membre no 45 266



Citation (domd @ 7 Jan 2017, 08:20) *
Plus qu'à attendre qu'Apple daigne mettre à jour sa combo ou refaire une clean install ... dry.gif

Je t'ai donné un truc à faire pour connaître la raison, après il y a de nombreuses façons de résoudre le problème selon ce que c'est, sans tout réinstaller.
Go to the top of the page
 
+Quote Post
ch21
posté 7 Jan 2017, 11:25
Message #13


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 10 072
Inscrit : 4 Nov 2003
Lieu : 21000
Membre no 11 306



On a effectivement un journal, mais perso, ça n me cause pas du tout unsure.gif :

Citation
Jan 7 11:19:49 xxx.local Installer[32490]: Mise à jour combinée OS X Installation Log
Jan 7 11:19:49 xxx.local Installer[32490]: Opened from: /Volumes/OS X 10.9.5 Update Combo/OSXUpdCombo10.9.5.pkg
Jan 7 11:19:50 xxx.local Installer[32490]: Product archive /Volumes/OS X 10.9.5 Update Combo/OSXUpdCombo10.9.5.pkg trustLevel=501
Jan 7 11:19:54 xxx.local Installer[32490]: IFDCC: padded OS update package with 1341440
Jan 7 11:19:55 xxx.local Installer[32490]: IFDCC: padded OS update package with 1341440
Jan 7 11:19:57 xxx.local Installer[32490]: IFDCC: padded OS update package with 1341440
Jan 7 11:19:57 xxx.local Installer[32490]: IFDCC: padded OS update package with 1341440
Jan 7 11:19:57 xxx.local Installer[32490]: IFDCC: padded OS update package with 1341440
Jan 7 11:20:00 xxx.local Installer[32490]: LSExceptions [0x7feb52f00810] unloaded
Jan 7 11:20:05 xxx.local Installer[32490]: LSExceptions [0x7feb57a68630] loaded
Jan 7 11:20:16 xxx.local Installer[32490]: LSExceptions [0x7feb57a68630] unloaded


--------------------
de l'Apple IIGS (1987) en GS/OS System 6.0.1 au Mac Mini I7 (2012) en Os 10.11.6 (et le dernier Système en date sur MBP)
Go to the top of the page
 
+Quote Post
Krazubu
posté 7 Jan 2017, 12:17
Message #14


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 2 889
Inscrit : 5 Sep 2005
Membre no 45 266



Mais dans ta capture l'installation pose problème ch21 ?
Go to the top of the page
 
+Quote Post
ch21
posté 7 Jan 2017, 13:36
Message #15


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 10 072
Inscrit : 4 Nov 2003
Lieu : 21000
Membre no 11 306



Oui, comme les autres, mon disque n'est pas proposé…

J'ai quelques glitches qui m'agacent et impossible de repasser la combo.
En mode safe-boot non plus.

Le seul truc qui fonctionne c'est la ré-instal avec "pomme-r"


--------------------
de l'Apple IIGS (1987) en GS/OS System 6.0.1 au Mac Mini I7 (2012) en Os 10.11.6 (et le dernier Système en date sur MBP)
Go to the top of the page
 
+Quote Post
Tmps
posté 7 Jan 2017, 15:31
Message #16


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 2 979
Inscrit : 3 Nov 2002
Lieu : Overijse - Belgique
Membre no 4 477



Je ne me fatiguerais!

Un dernier backup TimeMachine, création d'une clé USB Bootable avec l'installer de El Capitan, un boot dessus, formatage du disque, installation de l'Os et finalisation avec l'assistant de migration, pour récupérer les applications et les données.


--------------------
MacBook Air 13" 1.8 Ghz Core i5 - 8Gb - SSD 128 Gb - OS X.10.13.3 / Smartphone: Yotaphone 2 sous Android 6.0.1 entièrement synchronisé avec les services Google

Réflexe indispensable à avoir... faites des backups réguliers!!!
Utilitaires vivement recommandés: Onyx (Outil de maintenance) - Etrecheck (Outil d'analyse du système) - Malwarebytes (Anti-malwares - la version gratuite suffit largement)
Go to the top of the page
 
+Quote Post
Krazubu
posté 7 Jan 2017, 17:20
Message #17


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 2 889
Inscrit : 5 Sep 2005
Membre no 45 266



Vous pouvez par exemple ouvrir le pkg avec pacifist et éditer le fichier "Distribution" à la racine du package.
Il contient tous les scripts de vérification.
Ensuite on peut modifier à sa guise, il y a plusieurs façons de faire :
Code
    <volume-check script="VolumeCheck()"/>
    <installation-check script="InstallationCheck()"/>
    <script>
function InstallationCheck(prefix) {
    if (system.compareVersions(system.version.ProductVersion, '10.11') &lt; 0 || system.compareVersions(system.version.ProductVersion, '10.12') &gt;= 0) {
        my.result.message = system.localizedStringWithFormat('ERROR_0', '10.11');
        my.result.type = 'Fatal';
        return false;
    }
    return true;
}
function VolumeCheck(prefix) {
    if (system.env.OS_INSTALL == 1) return true;
    var myTargetSystemVersion = (my.target.systemVersion || system.files.plistAtPath(my.target.mountpoint + "/System/Library/CoreServices/SystemVersion.plist"));
    if (!myTargetSystemVersion || system.compareVersions(myTargetSystemVersion.ProductVersion, '10.11') &lt; 0 || system.compareVersions(myTargetSystemVersion.ProductVersion, '10.12') &gt;= 0) {
        my.result.message = system.localizedStringWithFormat('ERROR_0', '10.11');
        my.result.type = 'Fatal';
        return false;
    }
    my.result.message = system.localizedString('ERROR_2');
    if (!LogicalOr0(my.target.mountpoint)) {
        my.result.type = 'Fatal';
        return false;
    }
    return true;
}
function LogicalOr0(prefix) {
    if (PlistCheck1(prefix) || PlistCheck2(prefix) || PlistCheck3(prefix) || PlistCheck4(prefix) || PlistCheck5(prefix) || PlistCheck6(prefix) || PlistCheck7(prefix) || PlistCheck8(prefix) || PlistCheck9(prefix) || PlistCheck10(prefix) || PlistCheck11(prefix) || PlistCheck12(prefix) || PlistCheck13(prefix) || PlistCheck14(prefix) || PlistCheck15(prefix) || PlistCheck16(prefix) || PlistCheck17(prefix) || PlistCheck18(prefix) || PlistCheck19(prefix) || PlistCheck20(prefix) || PlistCheck21(prefix) || PlistCheck22(prefix) || PlistCheck23(prefix) || PlistCheck24(prefix) || PlistCheck25(prefix) || PlistCheck26(prefix) || PlistCheck27(prefix) || PlistCheck28(prefix) || PlistCheck29(prefix) || PlistCheck30(prefix) || PlistCheck31(prefix) || PlistCheck32(prefix) || PlistCheck33(prefix) || PlistCheck34(prefix) || PlistCheck35(prefix) || PlistCheck36(prefix) || PlistCheck37(prefix) || PlistCheck38(prefix) || PlistCheck39(prefix) || PlistCheck40(prefix) || PlistCheck41(prefix) || PlistCheck42(prefix) || PlistCheck43(prefix) || PlistCheck44(prefix) || PlistCheck45(prefix)) {
        return true;
    }
    return false;
}
function PlistCheck1(prefix) {
    var plist = system.files.plistAtPath(prefix + '/System/Library/CoreServices/SystemVersion.plist');
    if (!plist) {
        return false;
    }
    var plistKeyValue = plist['ProductBuildVersion'];
    if (!plistKeyValue) {
        return false;
    }
    if (system.compareVersions(plistKeyValue, '15G31') &gt; 0) {
        return false;
    }
    if (system.compareVersions(plistKeyValue, '15G1') &lt; 0) {
        return false;
    }
    return true;
}

J'ai posté un morceau du début ici.
Pour lancer l'installation il y a le script "InstallationCheck", il se contente de vérifier qu'on est bien sur 10.11
Pour vérifier que le disque est conforme, il y a le script "VolumeCheck", c'est ce dernier qui pose soucis.
On voit une grande liste de tous les "checks" qui sont appelés, et en dessous l'exemple avec le 1er (PlistCheck1)
Il inclut 4 vérifications :
- Le fichier SystemVersion.plist est présent
- Il contient la clef "ProductBuildVersion"
- La version est supérieure à 15G31
- La version est inférieure à 15G1
Autrement dit les 2 derniers vérifient que la version est comprise entre 15G1 et 15G31.
Tout check qui n'est pas vrai rapportera "false" et interrompra le script, l'installation sur le volume sera bloquée.
On peut patcher ça à plein de niveaux différents, et plus ou moins violemment.

Le plus simple et de carrément virer la ligne :
<volume-check script="VolumeCheck()"/>

Il n'y aura plus de script de vérif.

Sinon on peut localiser le morceau de script qui lui fait retourner "false", et on change la condition de sorte qu'elle retourne "true", dans l'exemple on peut changer le 15G31 par le n° de version qu'on veut, ou alors virer le if, ou encore lui faire retourner true quand c'est faux.
C'est là que le log d'installation est utile pour savoir quelle est le check qui a refusé l'install.
Apparemment dans ce script, la numéro de version est le seul critère, tous ces checks vérifient tous les nums de versions possibles. J'ai déjà vu les scripts vérifier que le disque est GPT, hfs… mais pas ici. Seul le dernier vérifie que safari n'est pas supérieur à la v10. C'est peut-être ça votre souci.

Soi vous virez ce check, ou plus simple, car il n'y a pas besoin d'extraire ce fichier et de recompresser ensuite, vous faites un click droit sur Safari, vous affichez le contenu du dossier, Contents, vous ouvrez le fichier Info.plist vous cherchez la string "CFBundleShortVersionString" et vous remplacez par 10.
Ca cassera sa signature mais il sera de toute façon remplacé par l'install, ou sinon il suffit de remettre le chiffre d'avant.

Ce message a été modifié par Krazubu - 7 Jan 2017, 17:23.
Go to the top of the page
 
+Quote Post
criket75
posté 7 Nov 2019, 15:53
Message #18


Adepte de Macbidouille
*

Groupe : Membres
Messages : 90
Inscrit : 18 Nov 2004
Membre no 27 196



Bonjour à tous,
Je sèche sur les explications de Krabuzu
Citation (Krazubu @ 7 Jan 2017, 18:20) *
Vous pouvez par exemple ouvrir le pkg avec pacifist et éditer le fichier "Distribution" à la racine du package.....
...Le plus simple et de carrément virer la ligne :
<volume-check script="VolumeCheck()"/>.....
....., car il n'y a pas besoin d'extraire ce fichier et de recompresser ensuite

Si je ne me trompe, impossible d'éditer depuis Pacifist....
S'il est possible d'extraire "Distribution" pour l'éditer, il semble ensuite impossible de réintroduire le fichier modifié à la place de celui d'origine. Donc, il faut extraire l'ensemble du combo? Si l'on extrait "Contenu du paquet", seul le contenu du dossier "manual" est extrait (trois sous-dossiers), mais "Distribution" et "Ressources" sont exclus. Resterait de toute façon à recompresser, ce que je ne sais pas faire.
Fichier joint  capitan_combo_a___e__diter_Dossier_OSXUpdCombo10.11.6_Dossier_manual.jpg ( 6.44 Ko ) Nombre de téléchargements : 3

Citation (Krazubu @ 7 Jan 2017, 18:20) *
ou plus simple..., vous faites un click droit sur Safari, vous affichez le contenu du dossier, Contents, vous ouvrez le fichier Info.plist vous cherchez la string "CFBundleShortVersionString" et vous remplacez par 10.
Ca cassera sa signature mais il sera de toute façon remplacé par l'install, ou sinon il suffit de remettre le chiffre d'avant.

Si je te suis, le blocage de la maj combo pourrait être levé par la seule modif de cette string indiquant la version de... Safari? Ce serait extraordinaire! À moins que je n'aie rien compris (plus plausible)
Fichier joint  Safari_Info.plist.jpg ( 28.07 Ko ) Nombre de téléchargements : 2

Un peu incrédule (ou n'ayant rien compris à ton topo), j'ai toutefois essayé. Mais alors comment contourner les problèmes d'autorisations : Xcode refuse de modifier la string because non autorisé. Et même en passant par un bête éditeur de texte/modif/enregistrer sous, impossible de réintroduire le fichier modifié dans Safari, puisqu'il est également impossible d'en modifier les autorisations via info/Finder...

Précisions: j'ai downgradé (puis boosté) dès son achat d'occase mon MacbookPro9,2 (SSD 500Go/ram:16Go) de 10.14 à 10.11 via clonage du clone de mon MacbookAir4,2. Le Macbook pro met plus de trente secondes à afficher sa pomme au boot, et kernel_task pompe ensuite 1 Go de mémoire*. Pourtant tous contrôles disque et OS sont OK. Voilà pourquoi je voudrais essayer un coup de combo.
*Piste possible: l'absence à sa place du fichier de ma machine (MacBookPro9_2.plist), fichier que j'ai vu mentionné comme cause possible de la gourmandise en ram de kernel_task. Et peut-être cause aussi, mais là aussi ce n'est que supposition, de la lenteur au démarrage (l'OS ramant pour trouver un fichier... absent?)

Question connexe : par le passé, j'ai déjà résolu des cagades très efficacement via un coup de combo. Mais je suppose qu'une ré-install depuis recovery ou clé bootable ne fera pas le taf d'une simple maj, c-à-d de complétion des fichiers manquants ou modifiés, mais sera complète, écrasant dossiers utilisateurs et applis. Je me trompe?
Bon, désolé, j'ai fait long pour essayer d'être précis.
Go to the top of the page
 
+Quote Post
Krazubu
posté 8 Nov 2019, 11:09
Message #19


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 2 889
Inscrit : 5 Sep 2005
Membre no 45 266



Citation (criket75 @ 7 Nov 2019, 15:53) *
Si je te suis, le blocage de la maj combo pourrait être levé par la seule modif de cette string indiquant la version de... Safari? Ce serait extraordinaire! À moins que je n'aie rien compris (plus plausible)
Un peu incrédule (ou n'ayant rien compris à ton topo), j'ai toutefois essayé. Mais alors comment contourner les problèmes d'autorisations : Xcode refuse de modifier la string because non autorisé. Et même en passant par un bête éditeur de texte/modif/enregistrer sous, impossible de réintroduire le fichier modifié dans Safari, puisqu'il est également impossible d'en modifier les autorisations via info/Finder...

Il faut se rajouter dans les autorisations, sinon faire ça depuis le terminal avec la commande :
sudo nano /Applications/Safari.app/Contents/Info.plist

Citation
Question connexe : par le passé, j'ai déjà résolu des cagades très efficacement via un coup de combo. Mais je suppose qu'une ré-install depuis recovery ou clé bootable ne fera pas le taf d'une simple maj, c-à-d de complétion des fichiers manquants ou modifiés, mais sera complète, écrasant dossiers utilisateurs et applis. Je me trompe?
Bon, désolé, j'ai fait long pour essayer d'être précis.


En fait si, mais il faut préparer un peu le terrain, c'est à dire retirer quelques fichiers clefs pour qu'il ne détecte pas l'installation actuelle et ensuite installer en prenant soin d'utiliser le même non et mdp utilisateur.
Je trouve que cette vérification est un peu idiote et inutile car ça empêche de faire simplement un rafraîchissement de l'installation qui peut s'avérer très bénéfique.
Ça fait une éternité que je n'ai pas fait ça, à l'époque il me semble qu'il fallait retirer les fichiers /mach_kernel (qui a déménagé depuis) et /System/Library/CoreServices/SystemVersion.plist , ça a probablement changé depuis, Apple a changé le fonctionnement et la structure de l'installation presque à chaque version depuis snow leopard. De toute façon, ça ne résoudrait pas un problème de version "trop récente" qui bloquerait l'installation du combo car cette méthode d'installation d'OSX ne remplacerait pas des fichiers de versions plus récentes que les siens.
Go to the top of the page
 
+Quote Post
criket75
posté 8 Nov 2019, 15:13
Message #20


Adepte de Macbidouille
*

Groupe : Membres
Messages : 90
Inscrit : 18 Nov 2004
Membre no 27 196



Merci pour tes réponses, Krazubu.
Citation (criket75 @ 7 Nov 2019, 15:53) *
Si je te suis, le blocage de la maj combo pourrait être levé par la seule modif de cette string indiquant la version de... Safari?..

Citation (Krazubu @ 8 Nov 2019, 12:09) *
Il faut se rajouter dans les autorisations, sinon faire ça depuis le terminal avec la commande :
sudo nano /Applications/Safari.app/Contents/Info.plist

Je déduis de ta réponse que cette seule manip permettrait bien de contourner le blocage de la maj combo? Si oui, dans le principe, car en collant dans Terminal la commande indiquée, ça semble modifier une autorisation de Safari (pour "everyone"). Mais c'est insuffisant toutefois pour en modifier le contenu. Et aucun effet sur info.plist. Les deux restent non autorisés depuis Finder.
Fichier joint  Safari_Info.plist.jpg ( 28.07 Ko ) Nombre de téléchargements : 6

Citation (criket75 @ 7 Nov 2019, 15:53) *
Question connexe : par le passé, j'ai déjà résolu des cagades très efficacement via un coup de combo. Mais je suppose qu'une ré-install depuis recovery ou clé bootable ne fera pas le taf d'une simple maj...

Citation (Krazubu @ 8 Nov 2019, 12:09) *
En fait si, mais il faut préparer un peu le terrain...

Trop hasardeux pour que je m'y aventure.

Après recherche et confirmation qu'on pouvait ne pas écraser ses données, j'ai essayé la réinstall via
- reboot cmd + R (partition récupération) : message disant opération impossible car manque des fichiers téléchargés ou un truc commme ça (dans la partoche de récup, je suppose)
- reboot cmd + alt + Maj + R (réinstall système d'origine de la machine via le Net) : Lion se prépare, puis message: il est impossible de mettre à jour ceette version... car une version plus récente est déjà installéela version

Grrrr....Ça commence à me prendre gentiment le chou cette fantaisie...
Go to the top of the page
 
+Quote Post
baron
posté 8 Nov 2019, 21:10
Message #21


Macbidouilleur d'Or !
*****

Groupe : Modérateurs
Messages : 13 314
Inscrit : 22 Jul 2004
Lieu : Louvain-la-Neuve (Gaule Gelbique)
Membre no 21 291



Cmd-alt-R devrait te permettre de réinstaller la dernière version à partir d'Internet (pour faire ça, mieux vaut te brancher sur le secteur et avec un câble Ethernet plutôt que par wifi.)

Ça dépend toutefois de ta version courante d'OSX :
https://support.apple.com/fr-fr/HT204904


--------------------
MacBook Pro 15’’ mi-2010 Core i5 2,53 GHz, 4 Go/SSD Samsung 850EVO 500 Go – Mac OSX 10.6.8  Power Macintosh G3 beige de bureau, rev.1 @ 233MHz, 288 Mo/4Go – MacOS 9.1 — + carte PCI IDE/ATA Tempo 66 Acard 6260 avec HD interne Maxtor 80 Go + graveur interne CDRW/DVD LG GCC-4520B + tablette A4 Wacom UD-0608-A + LaCie ElectronBlueIV 19" + HP ScanJet 6100C   Routeur/modem ADSL Trendnet TW100-BRM504 > B-Box 3 + HP LaserJet 4000 N  
La recherche dans MacBidouille vous paraît obscure ? J'ai rédigé une proposition de FAQ. Le moteur logiciel a un peu changé depuis mais ça peut aider quand même.
Les corsaires mettent en berne…
Go to the top of the page
 
+Quote Post
Krazubu
posté 8 Nov 2019, 21:32
Message #22


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 2 889
Inscrit : 5 Sep 2005
Membre no 45 266



Citation (criket75 @ 8 Nov 2019, 15:13) *
Je déduis de ta réponse que cette seule manip permettrait bien de contourner le blocage de la maj combo? Si oui, dans le principe, car en collant dans Terminal la commande indiquée, ça semble modifier une autorisation de Safari (pour "everyone"). Mais c'est insuffisant toutefois pour en modifier le contenu. Et aucun effet sur info.plist. Les deux restent non autorisés depuis Finder.

Pas du tout blink.gif ça ouvre le fichier avec un éditeur texte dans le terminal.
Il faut juste taper le mdp admin après avoir fait entrée.
Go to the top of the page
 
+Quote Post
criket75
posté 9 Nov 2019, 00:08
Message #23


Adepte de Macbidouille
*

Groupe : Membres
Messages : 90
Inscrit : 18 Nov 2004
Membre no 27 196



Citation
baron : Cmd-alt-R devrait te permettre de réinstaller la dernière version à partir d'Internet (pour faire ça, mieux vaut te brancher sur le secteur et avec un câble Ethernet plutôt que par wifi.)
Merci baron, mais je ne veux pas de Catalina. J'ai justement downgradé mon MBP sur Capitan, car j'ai pas mal d'applis en 32 bits qui coinceraient sur le tout 64 bits !
Citation
krazubu : Pas du tout ça ouvre le fichier avec un éditeur texte dans le terminal.
Il faut juste taper le mdp admin après avoir fait entrée.

"Il faut juste taper le mdp..." : c'est vite dit, très vite dit, même... J'ai donc découvert à mes dépens que l'éditeur de texte de Terminal demande un doigté particulier. Et que si l'on est ni geek ni programmeur, une fois qu'on a fait une connerie — que bien sûr faite —, elle est plus coton à rattraper qu'un simple cmd + Z ! Donc une galère très amusante de plus. Time machine refusant même de me restaurer Safari...
J'ai tout de même réussi à rattraper : en démarrant de mon clone, j'ai pu ouvrir le paquet de Safari (sur le disque du MBP) et en remplacer le fichier info.plist par celui que j'avais modifié avec Bean. Safari s'affiche bien en version 10. Mais la combo n'est toujours pas applicable pour autant huh.gif tongue.gif . Le seul truc que j'ai gagné, c'est que Safari annonce une version 10 au lieu de 10.11.1 biggrin.gif. Avant que cette bizarrerie inutile m'attire de nouvelles galères, j'irai voir voir si à présent TM veut bien me restaurer Safari Pour l'instant, je fais une pause avec les trastouillages aux vertus seulement plantogènes. Pourrais-tu me dire, krazubu : d'où tu tiens cette bidouille de Safari et si tu l'as déjà expérimenté avec succès pour "débloquer" la restriction d'un maj combo 10.11.6 ?
Go to the top of the page
 
+Quote Post
baron
posté 9 Nov 2019, 05:00
Message #24


Macbidouilleur d'Or !
*****

Groupe : Modérateurs
Messages : 13 314
Inscrit : 22 Jul 2004
Lieu : Louvain-la-Neuve (Gaule Gelbique)
Membre no 21 291



Citation (criket75 @ 9 Nov 2019, 00:08) *
Citation
baron : Cmd-alt-R devrait te permettre de réinstaller la dernière version à partir d'Internet (pour faire ça, mieux vaut te brancher sur le secteur et avec un câble Ethernet plutôt que par wifi.)
Merci baron, mais je ne veux pas de Catalina. J'ai justement downgradé mon MBP sur Capitan, car j'ai pas mal d'applis en 32 bits qui coinceraient sur le tout 64 bits !

Sur base de informations données par Apple, je ne sais pas trop si c'est la dernière version en date ou seulement la dernière installée…

Si tout allait bien, Cmd-R aurait dû te réinstaller El Capitan. Mais hélas ce n'est apparemment pas le cas. sad.gif


--------------------
MacBook Pro 15’’ mi-2010 Core i5 2,53 GHz, 4 Go/SSD Samsung 850EVO 500 Go – Mac OSX 10.6.8  Power Macintosh G3 beige de bureau, rev.1 @ 233MHz, 288 Mo/4Go – MacOS 9.1 — + carte PCI IDE/ATA Tempo 66 Acard 6260 avec HD interne Maxtor 80 Go + graveur interne CDRW/DVD LG GCC-4520B + tablette A4 Wacom UD-0608-A + LaCie ElectronBlueIV 19" + HP ScanJet 6100C   Routeur/modem ADSL Trendnet TW100-BRM504 > B-Box 3 + HP LaserJet 4000 N  
La recherche dans MacBidouille vous paraît obscure ? J'ai rédigé une proposition de FAQ. Le moteur logiciel a un peu changé depuis mais ça peut aider quand même.
Les corsaires mettent en berne…
Go to the top of the page
 
+Quote Post
criket75
posté 9 Nov 2019, 10:09
Message #25


Adepte de Macbidouille
*

Groupe : Membres
Messages : 90
Inscrit : 18 Nov 2004
Membre no 27 196



Citation (baron @ 9 Nov 2019, 06:00) *
Citation (criket75 @ 9 Nov 2019, 00:08) *
Citation
baron : Cmd-alt-R devrait te permettre de réinstaller la dernière version à partir d'Internet (pour faire ça, mieux vaut te brancher sur le secteur et avec un câble Ethernet plutôt que par wifi.)
Merci baron, mais je ne veux pas de Catalina. J'ai justement downgradé mon MBP sur Capitan, car j'ai pas mal d'applis en 32 bits qui coinceraient sur le tout 64 bits !

Sur base de informations données par Apple, je ne sais pas trop si c'est la dernière version en date ou seulement la dernière installée…

Si tout allait bien, Cmd-R aurait dû te réinstaller El Capitan. Mais hélas ce n'est apparemment pas le cas. sad.gif
"Si tout allait bien", c'est sûr... cool.gif Quant à l'info d'Apple, est est assez claire : Réinstaller MacOS. Bonne journée.
Go to the top of the page
 
+Quote Post
Krazubu
posté 9 Nov 2019, 11:15
Message #26


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 2 889
Inscrit : 5 Sep 2005
Membre no 45 266



Citation (criket75 @ 9 Nov 2019, 00:08) *
Citation
baron : Cmd-alt-R devrait te permettre de réinstaller la dernière version à partir d'Internet (pour faire ça, mieux vaut te brancher sur le secteur et avec un câble Ethernet plutôt que par wifi.)
Merci baron, mais je ne veux pas de Catalina. J'ai justement downgradé mon MBP sur Capitan, car j'ai pas mal d'applis en 32 bits qui coinceraient sur le tout 64 bits !
Citation
krazubu : Pas du tout ça ouvre le fichier avec un éditeur texte dans le terminal.
Il faut juste taper le mdp admin après avoir fait entrée.

"Il faut juste taper le mdp..." : c'est vite dit, très vite dit, même... J'ai donc découvert à mes dépens que l'éditeur de texte de Terminal demande un doigté particulier. Et que si l'on est ni geek ni programmeur, une fois qu'on a fait une connerie — que bien sûr faite —, elle est plus coton à rattraper qu'un simple cmd + Z ! Donc une galère très amusante de plus.

Ben désolé, je suppose un niveau minimum, et c'est le genre d'info qu'on trouve très vite sur google.
C'est vrai que nano a quelques raccourcis clavier qui ne s'inventent pas mais tu aurais pu simplement fermer la fenêtre du terminal comme n'importe quelle autre et ça aurait quitté sans enregistrer.

Citation
krazubu : d'où tu tiens cette bidouille de Safari et si tu l'as déjà expérimenté avec succès pour "débloquer" la restriction d'un maj combo 10.11.6 ?

Honnêtement, presque 3 ans plus tard, je n'en sais rien, mais à me relire, je décris le fil du raisonnement, je parle au conditionnel concernant safari, et je précise bien que la 1ere chose à faire est de diagnostiquer le problème.
Pour la procédure en soi, de façon générale, oui je l'ai expérimentée à de nombreuses reprises depuis 2005 que je pratique OSX pour outrepasser des blocages de l'installation d'OSX ou d'updates (limitation CPU, RAM, type de disque, version requise…)
Si pour toi ça n'a pas fonctionné, c'est donc que ce n'est pas la version de Safari qui bloque l'installation. Relance l'installation, laisse-la aller jusqu'à l'erreur, laisse ouvert et affiche le journal (dans le menu aide, mais ça peut être dans un autre à côté). Ensuite il devrait afficher le problème, pas forcément de façon limpide mais si tu postes ici on devrait pouvoir creuser.

Ce message a été modifié par Krazubu - 9 Nov 2019, 11:16.
Go to the top of the page
 
+Quote Post
criket75
posté 11 Nov 2019, 21:44
Message #27


Adepte de Macbidouille
*

Groupe : Membres
Messages : 90
Inscrit : 18 Nov 2004
Membre no 27 196



Citation (Krazubu @ 9 Nov 2019, 12:15) *
Ben désolé, je suppose un niveau minimum, et c'est le genre d'info qu'on trouve très vite sur google.
C'est vrai que nano a quelques raccourcis clavier qui ne s'inventent pas mais tu aurais pu simplement fermer la fenêtre du terminal comme n'importe quelle autre et ça aurait quitté sans enregistrer.

"niveau minimum" : notion très relative, ce n'est pas à un bidouilleur que je vais l'apprendre. En l'occurrence, j'ai déjà pratiqué des trucs très délicats (genre réparation de portables pommés), mais ne m'étais jamais aventuré à de l'édition de code dans Terminal, tout au plus à l'entrée de quelques commandes basiques... En fermant la fenêtre, et en l'absence de tout message contextuel, je pense toutefois que mon erreur de manip a été enregistrée, car Safari était ensuite dépouillé de sa poignée d'extensions... Pas grave (à part stress & temps perdu) et résolu (à part affichage en version 10) : je tourne surtout avec Opera...
Citation (Krazubu @ 9 Nov 2019, 12:15) *
Relance l'installation, laisse-la aller jusqu'à l'erreur, laisse ouvert et affiche le journal (dans le menu aide, mais ça peut être dans un autre à côté). Ensuite il devrait afficher le problème, pas forcément de façon limpide mais si tu postes ici on devrait pouvoir creuser.

Voici donc ce qui s'affiche en choisissant "Afficher les erreurs et la progression" (en fait l'installation est refusée dès son lancement). Les erreurs tenant dans les trois dernières lignes. Je n'en comprends que deux choses : 1 - l'installateur n'identifie pas sa cible. 2 - Les erreurs seraient antérieures à mon downgrade récent de Mojave à Capitan (si dans 9 Nov 11, 11 signifie 2011). MBA = Macbook Air, que je n'ai baptisé MBA qu'en 2017, date où j'en ai pris possession d'occase. Comme déjà dit, j'ai récemment cloné mon clone du MBA sur mon Macbook Pro mi-2012, acheté d'occase avec Mojave installé. Tou ça ne me dit pas d'où vient l'erreur et surtout s'il est existe un moyen de ré-appliquer cette sad.gif mad.gif huh.gif sad.gif sad.gif de maj combo sans y passer le réveillon ni le reste de mes nerfs rolleyes.gif . Ces lignes sont-elles plus explicites pour toi ou autre connaisseur de ce jargon ?:

Nov 11 19:13:52 MBA Installer[4568]: @(#)PROGRAM:Installer PROJECT:Installer-853
Nov 11 19:13:52 MBA Installer[4568]: Hardware: MacBookPro9,2 @ 2.50 GHz (x 4), 16384 MB RAM
Nov 11 19:13:52 MBA Installer[4568]: Running OS Build: Mac OS X 10.11.6 (15G22010)
Nov 11 19:13:52 MBA Installer[4568]: Mise à jour d’OS X El Capitan Installation Log
Nov 11 19:13:52 MBA Installer[4568]: Opened from: /Volumes/OS X El Capitan Update/OSXUpdCombo10.11.6.pkg
Nov 11 19:14:00 MBA Installer[4568]: IFJS: *** exception: TypeError: null is not an object (evaluating 'my.target.mountpoint')
Nov 11 19:14:00 MBA Installer[4568]: IFJS: *** exception: TypeError: null is not an object (evaluating 'my.target.mountpoint')
Nov 11 20:52:24 MBA softwareupdated[266]: BackgroundActions: Scan did not load all resources: not resetting background date


Ce message a été modifié par criket75 - 11 Nov 2019, 21:46.
Go to the top of the page
 
+Quote Post
jeanjd63
posté 11 Nov 2019, 22:05
Message #28


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 4 044
Inscrit : 15 Nov 2007
Lieu : Auvergne-Rhône-Alpe.
Membre no 99 922



Salut.

Serait il possible, depuis le terminal, d'avoir les retours de la commande suivante :

Code
diskutil list
Go to the top of the page
 
+Quote Post
criket75
posté 14 Nov 2019, 11:45
Message #29


Adepte de Macbidouille
*

Groupe : Membres
Messages : 90
Inscrit : 18 Nov 2004
Membre no 27 196



Citation (jeanjd63 @ 11 Nov 2019, 23:05) *
Salut.

Serait il possible, depuis le terminal, d'avoir les retours de la commande suivante :

Code
diskutil list

Mais avec plaisir. Je commence toutefois à penser que le plus efficace serait d'effacer mon disque, réinstaller Capitan et réimporter fichiers et applis de mon clone via l'assistant de migration. Mais ça me soûle un peu de repartir en grandes manoeuvres, avec toujours la crainte d'une c..... collatérale, de fichiers manquants, bref de temps encore perdu.
Je constate avec amusement que mon disque semble toujours porter le nom du clone de mon Macbook Air (MBA) et que le renommage du SSD de mon Macbook Pro en MBP Crucial (pour Macbook Pro Crucial) n'a affecté que la partition :
MBA:~ xxxxx diskutil list
/dev/disk0 (internal, physical):
#: TYPE NAME SIZE IDENTIFIER
0: GUID_partition_scheme *500.1 GB disk0
1: EFI EFI 209.7 MB disk0s1
2: Apple_HFS MBP Crucial 499.1 GB disk0s2
3: Apple_Boot Recovery HD 650.0 MB disk0s3
/dev/disk1 (disk image):


Ce message a été modifié par criket75 - 14 Nov 2019, 11:49.
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 utilisateur(s) sur ce sujet (1 invité(s) et 0 utilisateur(s) anonyme(s))
0 membre(s) :

 



Nous sommes le : 14th December 2019 - 10:18